Skip to main content
PATCH
/
streaming
/
live_streams
/
v2
/
{live_stream_id}
cURL
curl --request PATCH \
  --url https://api.mottostreaming.com/streaming/live_streams/v2/{live_stream_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "live_stream_id": "<string>",
  "update_mask": "<string>"
}
'
{
  "live_stream": {
    "project_id": "<string>",
    "name": "<string>",
    "region": "REGION_UNSPECIFIED",
    "id": "<string>",
    "ingest_id": "<string>",
    "video_id": "<string>",
    "simulcasts": [
      {
        "id": "<string>",
        "name": "<string>",
        "status": "SIMULCAST_STATUS_UNSPECIFIED",
        "rtmp_target": {
          "url": "<string>",
          "stream_key": "<string>"
        },
        "srt_target": {
          "url": "<string>"
        },
        "is_external": true
      }
    ],
    "accept_input": true,
    "priority": "<string>",
    "external_rtmp_ingest_url": "<string>",
    "external_srt_ingest_url": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

live_stream_id
string
required

Body

application/json
live_stream_id
string
required
live_stream
object
update_mask
string<field-mask>

Response

OK

live_stream
object